Announcement

Collapse
No announcement yet.

FR24 Feeder/Decoder: Version: 1.0.24-2/generic

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #31
    I don't understand some lines in the service script. Ok, I do understand what they do, but I don't get why they are there. The original script tries to install dump1090-mutability. But that shouldn't be part of the init-script. Especially as there are multiple flavors of dump1090 out there, it either looks like fr24 tries to overrule them, or they want to keep the need for compatibility checks low.
    But on my system I found that installation line to be missing so it might be, that the installer.sh found my already installed piaware background and skips this rule.
    If it is the support thing, I wonder why all services work fine on dump1090-fa but fr24 is pushing on dump1090-mutability?

    This all tastes a bit bitter... Like fr24 wants to gain control over the feeder exclusively. I simply don't understand why they not simply create some installer packages (.deb or so) that have some dependencies declared and concentrate on fr24 feeding but accept any dump1090-* as a source?

    Comment


    • #32
      Exactly. Whomever has created the service scripts either doesn't understand having a healthy separation between software deployment and system administration, or doesn't care. Having init scripts modify the files and directories of other packages is a really bad idea - ask anyone who has had their fr24 installation broken after performing an update. It has been brought to the attention of the dev team many times so I can only assume that they don't agree or don't care.

      Originally posted by Astralix View Post
      I don't understand some lines in the service script. Ok, I do understand what they do, but I don't get why they are there. The original script tries to install dump1090-mutability. But that shouldn't be part of the init-script. Especially as there are multiple flavors of dump1090 out there, it either looks like fr24 tries to overrule them, or they want to keep the need for compatibility checks low.
      But on my system I found that installation line to be missing so it might be, that the installer.sh found my already installed piaware background and skips this rule.
      If it is the support thing, I wonder why all services work fine on dump1090-fa but fr24 is pushing on dump1090-mutability?

      This all tastes a bit bitter... Like fr24 wants to gain control over the feeder exclusively. I simply don't understand why they not simply create some installer packages (.deb or so) that have some dependencies declared and concentrate on fr24 feeding but accept any dump1090-* as a source?

      Comment


      • #33
        The initial versions had dump1090 (Malcolm Rob) BINARY installed when fr24feed.deb was installed (/usr/lib/fr24/dump1090). This binary was controlled by fr24feed and did not start at boot. It was started by fr24feed if setting was receiver=dvbt.

        Later the dump1090 (malcolm rob) binary was removed, and an script was included to install dump1090-mutability ver 1.14 using its .deb package available at Github. As the fr24feed binary was hard coded to start the dump1090 binary located in folder /usr/lib/fr24/, the install_dump1090.sh script creates a symlink in this folder to ver 1.14 binary located in folder /usr/bin/dump1090-mutability

        This script acted as follows:

        (1) If setting of fr24feed is receiver=dvbt, thefr24feed at startup looks for binary of dump1090, and if not found, runs the script to install dump1090-mutability v 1.14.

        (2) During installation of dump1090-mutability v 1.14, it changes its init.d file to say NO at startup.

        (3) Creates a symlink to ver 1.14 binary.


        Code:
        pi@raspberrypi:~ $ cat /usr/lib/fr24/install_dump1090.sh

        Code:
        .... .... ....
        .... .... ....
        
        if grep -q "^receiver.*dvbt" /etc/fr24feed.ini && [ ! -e /usr/lib/fr24/dump1090 ] ; then
            echo "dump1090 is not found, downloading dump1090-mutability..."
        
            # to skip any questions from APT
            export DEBIAN_FRONTEND=noninteractive
        
            echo 'dump1090-mutability dump1090-mutability/auto-start boolean false' | debconf-set-selections -v
        
            apt-get update -y
        
            DUMP1090_IF_PRESENT=`apt-cache search --names-only '^dump1090-mutability.*' | awk '{ print $1 }' | head -n 1`
        
            apt-get -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install librtlsdr0 libusb-1.0-0 dirmngr lighttpd wget $DUMP1090_IF_PRESENT -y
        
            if [ "$DUMP1090_IF_PRESENT" == "" ]; then
                # Download and install dump1090-mutability if not present in repository
                wget -O /tmp/dump1090-mutability_1.14_armhf.deb https://github.com/mutability/dump1090/releases/download/v1.14/dump1090-mutability_1.14_armhf.deb
                dpkg -i /tmp/dump1090-mutability_1.14_armhf.deb
                rm -f /tmp/dump1090-mutability_1.14_armhf.deb
            fi
        
            ln -s /usr/bin/dump1090-mutability /usr/lib/fr24/dump1090
        
        .... .... ....
        .... .... ....
        Last edited by abcd567; 2019-10-24, 21:30.

        Comment

        Working...
        X